"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sharedMemoizedQueryParser = exports.makeMemoizedQueryParser = void 0;
var query_string_1 = require("query-string");
var makeMemoizedQueryParser = function (initialSearchString) {
    var cachedSearchString = initialSearchString;
    var cachedParsedQuery = query_string_1.parse(cachedSearchString || '');
    return function (newSearchString) {
        if (cachedSearchString !== newSearchString) {
            cachedSearchString = newSearchString;
            cachedParsedQuery = query_string_1.parse(cachedSearchString);
        }
        return cachedParsedQuery;
    };
};
exports.makeMemoizedQueryParser = makeMemoizedQueryParser;
exports.sharedMemoizedQueryParser = exports.makeMemoizedQueryParser();
